Que vaut OS 9.21 ?

Thierry GEFARD

Membre d’élite
Club MacG
1 Avril 2000
1 082
3
Bonjour à tous,

J'ai depuis un mois le G4 733 avec 640MO.
J'ai créé 4 partitions dont une avec OS X et 9.21 classic et une autre avec 9.21.

J'utilise presque exclusivement la partition avec 9.21 (parce que j'utilise encore word 6 et d'autres applis un peu anciennes).

Assez souvent, je trouve, l'écran se fige (soit sur word 6) soit sur des jeux (ma fille utilise le roi Lion 1).

Ces plantages viennent-ils de ces soft un peu vieux ou bien de l'OS 9.21 ?
J'avais cru comprendre qu'il n'était pas le top pour quelqu'un qui n'utilise pas X.

Merci de vos réponses car je suis un peu déçu de la "preformance" du g4.

le PC que j'utilise au boulot (PIII 450 avec 64 Mo de Ram) ne me fait même pas un écran bleu par mois.

Alors m...
 

roro

Membre d’élite
Club MacG
22 Décembre 2000
3 606
31
43
Lille
en général, il est plutôt conseillé d'utiliser des applis en phase avec l'OS. Je m'explique : une appli sortie en 1995 a été testée et validée sur un OS de 1995 voir 1994...

Mon iMac sous 9.04 ne plante quasiment pas (tout comme les G3 & G4 que nous avons au bureau). Faut dire aussi que je ne coure pas après toutes les MAJ des softs. J'en suis tjs à l'avant dernière version. Rarement à la dernière.

[14 novembre 2001 : message édité par roro]
 

matmiev

Membre confirmé
19 Décembre 2000
151
1
9.2.1 est un OS qui fonctionne indépendamment de l'OS X. Cependant, pour une meilleure compatibilité en mode Classic, il est recommandé de l'installer conjointement à OS X, pour éviter les couples OS X/8.6, etc. (cf. post de "roro" dans "Màj 9.2.1 sans OS X = pb d'affichage").

Personnellement, je pense qu'il suffit d'un petit ménage dans les extensions (probablement des anciennes qui traînent et embêtent le monde?) pour résoudre le problème. C'est un travail long et pas très marrant mais il est nécessaire pour avoir la mainmise sur son ordinateur et le paramétrer en fonction de ses besoins réels (point de vue personnel d'un utilisateur non programmeur ou développeur). Un peu de maintenance quoi !

Bon courage.

PS : barre d'espace pendant le démarage appelle le gestionnaire d'extension avant le chargement de celles-ci et l'apparition du Finder.

Autres ficelles : pomme + alt juste avant le Finder pour reconstruire le bureau

et puis pomme + alt + p + r au démarrage (attendre un second "dong") pour réinitialiser la mémoire des paramètres.


Ça ne fait pas de mal et permet, bien souvent, de se sortir de situations récalcitrantes?
 

Thierry GEFARD

Membre d’élite
Club MacG
1 Avril 2000
1 082
3
Roro et Matmiev merci pour vos réponses.

A RORO :
Je vais donc essayer de n'utiliser pour un moment que des logiciels récents pour voir si je plante encore.

A un moment j'ai pensé que le Pb pouvait venir de la mémoire que j'ai ajoutée : 2 x 256 Mo SDRAM PC 133.
Mais le système la reconnait bien.

Y-a-t-il un utilitaire qui permet de mieux vérifier la mémoire et sa compatibilité ?

A Matmiev :
J'ai installé OX x et 9.21 (livrés avec la machine achetée il y a un mois) sur une partition.
Et sur une autre j'ai installé OS 9.21 tout seul. C'est cette version que j'utilise et que je ne trouve pas stable.

Je ne pense pas avoir d'anciennes extensions dans mon système (sauf celles installées par WOrd 6).
J'ai coloré les extensions et tableaux de bord d'origine d'OS 9.21 et au fure et à mesure de mes nouvelles installations je colore d'une couleur différente les nouvelles extensions.
Ceci me permet de repérer rapidement un conflit d'extensions.

Merci de vos réponses.
 

golf

Vénérable sage
Club MacG
8 Mai 2001
14 169
880
65
Chez Belzébuth
Dans l'état actuel des choses 9.2.1 est plus que frileux avec les extentions qui ne sont pas Apple ou Crosoft mais récentes... Hélas

Plutôt repasser en 9.1
 

Thierry GEFARD

Membre d’élite
Club MacG
1 Avril 2000
1 082
3
Merci golf,
Et comment fait-on pour avoir 9.1 quand on a 9.21 livré d'origine ?
Peut-on le télécharger ?
 

MarcMame

Vétéran
Club MacG
25 Janvier 2001
7 027
266
<BLOCKQUOTE><font size="1" face="Verdana, Geneva">quote:</font><HR>Posté à l'origine par Thierry GEFARD:
Merci golf,
Et comment fait-on pour avoir 9.1 quand on a 9.21 livré d'origine ?
Peut-on le télécharger ?
<HR></BLOCKQUOTE>

Si ton Mac t'a été livré d'origine avec MacOS 9.2.1 (en plus de X) tu ne pourras pas redescendre en dessous.
MacOS 9.1 ne saura pas gérer ton Mac trop récent (à cause du fichier "MacOS ROM" incompatible avec ton firmware).
Tu es donc condamné à rester en 9.2.1 mais cela ne devrait quand même pas poser autant de problèmes.
 

[MGZ] MacFly

Membre confirmé
29 Septembre 2000
264
0
Visiter le site
Le 9.2.1 marche tres bien

ceux qui ont des problemes, bne la mise a jour en 9.2.1 n'a fait que reveler les problemes !

J'ai au moins 30 freeware shareware recent installes dans mon systeme et il se porte tres bien!

Alors a tous ceux qui disent que ca marche pas merci de faire le menage dans vos Mac!

y'en a vraiment de lire ces toutes ces conneries


Que l'on puisse perdre un ou 2 fps dans un jeux ... perso je m'en fous et j'ai rein vu

J'ai un G3 beige et non pas une machine toute recente pour lequel ce systeme a ete ecrit !
 

MarcMame

Vétéran
Club MacG
25 Janvier 2001
7 027
266
<BLOCKQUOTE><font size="1" face="Verdana, Geneva">quote:</font><HR>Posté à l'origine par [MGZ] MacFly:
J'ai au moins 30 freeware shareware recent installes dans mon systeme et il se porte tres bien!

Alors a tous ceux qui disent que ca marche pas merci de faire le menage dans vos Mac!

y'en a vraiment de lire ces toutes ces conneries
<HR></BLOCKQUOTE>
C'est tres gentil à toi de nous faire profiter de ton expérience.
Mais ce n'est pas parce que tout marche bien chez toi que ça doit forcement marcher chez les autres.
Tout le monde n'a pas ta config avec les mêmes softs.
Et ce n'est pas tres gentil de dire que les gens sont idiots si ils n'arrivent pas à le faire fonctionner correctement. (enfin c'est ce que j'en déduit, sinon pourquoi dire que tu ne lis que des conneries à son sujet ?)
 

Thierry GEFARD

Membre d’élite
Club MacG
1 Avril 2000
1 082
3
Merci MarcMame pour ta réponse à cette personne si peu tolérante.

Je ne pensais pas écrire des "conneries", mais en tout cas j'essaie d'éviter les fautes d'orthographe...

J'utilise le mac depuis 1986 j'en ai vu passer des modèles et des OS.

Je sais aussi gérer les extensions.

En outre, je n'installe pas n'importe quoi sur ma machine et surveille après chaque installation nouvelle les extensions et tableaux de bord installés.

Je m'interroge sur la stabilité d'OS 9.2.1 et essaie de comprendre les raisons pour lesquelles parfois l'ordi se fige.

En outre, ce n'est pas parce que je viens de m'acheter une machine récente que je dois être considéré comme un nul.
 

smow

Membre confirmé
20 Septembre 2001
392
2
Rambouillet
Utilises-tu la mémoire virtuelle ? Pour moi, avec config équivalente, je ne l'utilise jamais. Mais je ne suis pas sûr que ce soit la solution.
 

roro

Membre d’élite
Club MacG
22 Décembre 2000
3 606
31
43
Lille
<BLOCKQUOTE><font size="1" face="Verdana, Geneva">quote:</font><HR>Posté à l'origine par Thierry GEFARD:
Je ne pensais pas écrire des "conneries",
<HR></BLOCKQUOTE>

à mon avis, ça n'était pas toi qui étais visé, mais plutôt d'autres membres qui ont écrit que la 9.21 ne servait que pour X, que cette version n'était pas stable si on bootait dessus, etc. Dans un autre thread, j'ai aussi râlé à ce sujet.
Même si j'en suis encore à la 9.04 pour mon utilisation principale, je ne pense pas que la 9.21 (je ne l'utilise que pour Classic) soit plus plantogène que les anciennes. Une MAJ apporte tjs son lot d'incompatibilités et faut souvent mettre ses softs à jour (pour les raisons que j'ai expliquées plus haut).

<BLOCKQUOTE><font size="1" face="Verdana, Geneva">quote:</font><HR>
mais en tout cas j'essaie d'éviter les fautes d'orthographe...
<HR></BLOCKQUOTE>

ça, c'est une bonne chose
 

Thierry GEFARD

Membre d’élite
Club MacG
1 Avril 2000
1 082
3
Merci à vous Roro et Smow

Non, compte tenu de la ram dont je dispose, je n'ai pas activée la mémoire virtuelle qui est activée par défaut lorsque l'on achète la machine.

Je crains qu'effectivement mon problème vienne de certaines applications un peu anciennes.